freeze;

//////////////////////////////////////////////////
// Level
// (just for completeness)
intrinsic Level( K::FldCom ) -> RngIntElt
{    
This function comutes the level s(K) of a number field K,
i.e. a lowest number s such that -1 is a sum of s squares
it returns 0 if K is formally real.
}
    return 1;
end intrinsic;


//////////////////////////////////////////////////
// IsFormallyReal
// just for completeness
intrinsic IsFormallyReal( K::FldRat ) -> BoolElt
{
Returns true iff K is formally real (i.e. -1 is not a sum of squares)
}
    return false;
end intrinsic;

intrinsic IsReal( K::FldRat ) -> BoolElt
{ " } //"
    return false;
end intrinsic;


//////////////////////////////////////////////////
// PythagorasNumber & PythagorasElement
// just for completeness
intrinsic PythagorasNumber( K::FldCom ) -> RngIntElt
{
This function computes the Pythagoras number P(K) of a number field K,
i.e. the lowest number p such that every sum of squares in K
is a sum of p squares.
}
    return 1;
end intrinsic;

intrinsic PythagorasElement( K::FldCom ) -> FldNumElt
{
Returns an element a of K whose length equals the Pythagoras 
number P(K) of K.
}
    return 1;
end intrinsic;

//////////////////////////////////////////////////
// Witt ring

intrinsic WittRing( F::FldCom ) -> RngWittQF
{
Constructs the Witt ring of similarity classes of quadratic forms over F.
}
    if not assigned F`Witt_ring then
        W := New(RngWittQF);
        W`base_ring := F;
        W`is_explicit := true;
        W`explicit_model := Integers(2);
        F`Witt_ring := W;
    end if;
    return F`Witt_ring;
end intrinsic;

