freeze;

declare attributes FldRe: Witt_ring;


function is_isotropic_RR( q )
    // Given a quadratic form q with real coefficients,
    // this function tests if q is isotropic.

    return Abs(&+ [ Sign(c) : c in Coefficients(q) ]) lt Dimension(q);
end function;

function is_hyperbolic_RR( q )
    // Given a quadratic form q with real coefficients,
    // this function tests if q is isotropic.

    return IsZero(&+ [ Sign(c) : c in Coefficients(q) ]);
end function;

function anisotropic_dimension_RR( q )
// Given a quadratic form q over the reals, 
// this function returns a dimension of an anisotropic part of q.
    return Abs( &+ [ Sign(c) : c in Coefficients(q) ] );
end function;


//////////////////////////////////////////////////
// IsTorsion

function is_torsion_RR( _q )
// Check if the element _q of a Witt ring is torsion.
    return IsZero(_q);
end function;


